Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Dmitry Gutov <[email-masked]>
Date: Sun, 20 Mar 2016 23:05:31 +0200

On 03/20/2016 10:53 PM, Michael Albinus wrote:

> No. `non-essential' doesn't dictate what Tramp shall do, for example
> whether it could open a new connection. It tells Tramp something about
> the context ("Be careful, we are in file name completion!"). Tramp
> decides then, whether it could perform an operation, or not.

According to the docstring, it only tells Tramp not to ask for the 
credentials (when non-essential is non-nil). Whether Tramp is allowed to 
open a connection it already knows credentials for, is not specified 
(though I probably wouldn't).